Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.bpmn2
Class ProcessGetInformationHandler

    java.lang.Object
      org.drools.core.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.ProcessHandler
              org.jbpm.kie.services.impl.bpmn2.ProcessGetInformationHandler

All Implemented Interfaces:
  org.drools.core.xml.Handler

    public class ProcessGetInformationHandler

extends ProcessHandler

Field Summary

Fields inherited from class org.jbpm.bpmn2.xml.ProcessHandler
`ASSOCIATIONS, CONNECTIONS, ERRORS, ESCALATIONS, LINKS`

Fields inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`ProcessGetInformationHandler()`
`ProcessGetInformationHandler(ProcessDescRepoHelper repoHelper, ProcessDescriptionRepository repo)`

Method Summary
`Object` | `end(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
`void` | `setRepository(ProcessDescriptionRepository repository)`
`void` | `setRepositoryHelper(ProcessDescRepoHelper repositoryHelper)`
`Object` | `start(String uri, String localName, Attributes attrs, org.drools.core.xml.ExtensibleXmlParser parser)`

Methods inherited from class org.jbpm.bpmn2.xml.ProcessHandler
`addCompensationScope, generateNodeFor, handleIntermediateOrEndThrowCompensationEvent, linkAssociations, linkBoundaryEvents, linkConnections, linkIntermediateLinks`

Methods inherited from class org.drools.core.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.xml.Handler
`allowNesting, getValidParents, getValidPeers`

Constructor Detail

### ProcessGetInformationHandler

    public ProcessGetInformationHandler()

### ProcessGetInformationHandler

    public ProcessGetInformationHandler(ProcessDescRepoHelper repoHelper,
                                        ProcessDescriptionRepository repo)

Method Detail

### start

    public Object start(String uri,
                        String localName,
                        Attributes attrs,
                        org.drools.core.xml.ExtensibleXmlParser parser)
                 throws SAXException

  Specified by:
    `start` in interface `org.drools.core.xml.Handler`
  Overrides:
    `start` in class `ProcessHandler`
  Throws:
    `SAXException`

### setRepositoryHelper

    public void setRepositoryHelper(ProcessDescRepoHelper repositoryHelper)

### setRepository

    public void setRepository(ProcessDescriptionRepository repository)

### end

    public Object end(String uri,
                      String localName,
                      org.drools.core.xml.ExtensibleXmlParser parser)
               throws SAXException

  Specified by:
    `end` in interface `org.drools.core.xml.Handler`
  Overrides:
    `end` in class `ProcessHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.